#!/bin/sh

VERSIONS="10.24.1 12.22.3 14.17.3 16.5.0 18.5.0"

cd $(dirname $0)
set -x -e

for V in $VERSIONS; do
  echo "Testing with Node $V"
  nodenv install $V -s
  nodenv local $V
  npm i -g yarn
  nodenv rehash
  yarn install --force
  yarn unit-test  
done
